Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.adapter.jms
Class JmsBytesMessage

    java.lang.Object
      org.jboss.resource.adapter.jms.JmsMessage
          org.jboss.resource.adapter.jms.JmsBytesMessage

All Implemented Interfaces:
  javax.jms.BytesMessage, javax.jms.Message

public class JmsBytesMessage
extends JmsMessage
implements javax.jms.BytesMessage

A wrapper for a message

Version:
  $Revision: 1.1 $
Author:
  Adrian Brock

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`JmsBytesMessage(javax.jms.BytesMessage message, JmsSession session)` Create a new wrapper

Method Summary
`long` | `getBodyLength()`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`int` | `readBytes(byte[] value)`
`int` | `readBytes(byte[] value, int length)`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`short` | `readShort()`
`int` | `readUnsignedByte()`
`int` | `readUnsignedShort()`
`String` | `readUTF()`
`void` | `reset()`
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(byte value)`
`void` | `writeBytes(byte[] value)`
`void` | `writeBytes(byte[] value, int offset, int length)`
`void` | `writeChar(char value)`
`void` | `writeDouble(double value)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeObject(Object value)`
`void` | `writeShort(short value)`
`void` | `writeUTF(String value)`

Methods inherited from class org.jboss.resource.adapter.jms.JmsMessage
`acknowledge, clearBody, clearProperties, equals, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, hashCode, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.Message
`acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

Constructor Detail

### JmsBytesMessage

    public JmsBytesMessage(javax.jms.BytesMessage message,
                           JmsSession session)

  Create a new wrapper

Parameters:
  `message` - the message
  `session` - the session

Method Detail

### getBodyLength

    public long getBodyLength()
                       throws javax.jms.JMSException

  Specified by:
    `getBodyLength` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readBoolean

    public boolean readBoolean()
                        throws javax.jms.JMSException

  Specified by:
    `readBoolean` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readByte

    public byte readByte()
                  throws javax.jms.JMSException

  Specified by:
    `readByte` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readBytes

    public int readBytes(byte[] value,
                         int length)
                  throws javax.jms.JMSException

  Specified by:
    `readBytes` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readBytes

    public int readBytes(byte[] value)
                  throws javax.jms.JMSException

  Specified by:
    `readBytes` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readChar

    public char readChar()
                  throws javax.jms.JMSException

  Specified by:
    `readChar` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readDouble

    public double readDouble()
                      throws javax.jms.JMSException

  Specified by:
    `readDouble` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readFloat

    public float readFloat()
                    throws javax.jms.JMSException

  Specified by:
    `readFloat` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readInt

    public int readInt()
                throws javax.jms.JMSException

  Specified by:
    `readInt` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readLong

    public long readLong()
                  throws javax.jms.JMSException

  Specified by:
    `readLong` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readShort

    public short readShort()
                    throws javax.jms.JMSException

  Specified by:
    `readShort` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readUnsignedByte

    public int readUnsignedByte()
                         throws javax.jms.JMSException

  Specified by:
    `readUnsignedByte` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readUnsignedShort

    public int readUnsignedShort()
                          throws javax.jms.JMSException

  Specified by:
    `readUnsignedShort` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### readUTF

    public String readUTF()
                   throws javax.jms.JMSException

  Specified by:
    `readUTF` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### reset

    public void reset()
               throws javax.jms.JMSException

  Specified by:
    `reset` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeBoolean

    public void writeBoolean(boolean value)
                      throws javax.jms.JMSException

  Specified by:
    `writeBoolean` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeByte

    public void writeByte(byte value)
                   throws javax.jms.JMSException

  Specified by:
    `writeByte` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeBytes

    public void writeBytes(byte[] value,
                           int offset,
                           int length)
                    throws javax.jms.JMSException

  Specified by:
    `writeBytes` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeBytes

    public void writeBytes(byte[] value)
                    throws javax.jms.JMSException

  Specified by:
    `writeBytes` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeChar

    public void writeChar(char value)
                   throws javax.jms.JMSException

  Specified by:
    `writeChar` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeDouble

    public void writeDouble(double value)
                     throws javax.jms.JMSException

  Specified by:
    `writeDouble` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeFloat

    public void writeFloat(float value)
                    throws javax.jms.JMSException

  Specified by:
    `writeFloat` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeInt

    public void writeInt(int value)
                  throws javax.jms.JMSException

  Specified by:
    `writeInt` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeLong

    public void writeLong(long value)
                   throws javax.jms.JMSException

  Specified by:
    `writeLong` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeObject

    public void writeObject(Object value)
                     throws javax.jms.JMSException

  Specified by:
    `writeObject` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeShort

    public void writeShort(short value)
                    throws javax.jms.JMSException

  Specified by:
    `writeShort` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

### writeUTF

    public void writeUTF(String value)
                  throws javax.jms.JMSException

  Specified by:
    `writeUTF` in interface `javax.jms.BytesMessage`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.